WriteNowTextInternal::State Struct Reference documentation

WriteNowTextInternal::State Struct Reference

Internal: the state of a WriteNowText. More...

## Public Member Functions
| State ()
| constructor
Paragraph | getDefaultParagraph (int type) const
| return a paragraph corresponding to 0:body, 1: header/footer, 2: footnote
int | getFontId (int localId) const
| return a mac font id corresponding to a local id
std::shared_ptr< ContentZones > | getContentZone (long pos) const
| return the content corresponding to a pos

## Public Attributes
int | m_version
| the file version
int | m_numColumns
| the number of column
int | m_numPages
int | m_actualPage
Paragraph | m_paragraph
| the paragraph properties
std::shared_ptr< ContentZones > | m_header
| the header and the footer
std::shared_ptr< ContentZones > | m_footer
std::map< int, int > | m_localFIdMap
| a map local fontId->fontId
std::map< int, int > | m_styleMap
| the style indirection table
std::vector< Style > | m_styleList
| the list of styles (body, footer, footnote, header, table )
Zone | m_mainZones [3]
| the three main zone ( text, footnote, header/footer)
std::map< long, std::shared_ptr< ContentZones > > | m_contentMap
| the list of contentZones

## Detailed Description

Internal: the state of a WriteNowText.

## Constructor & Destructor Documentation

## ◆ State()

WriteNowTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getContentZone()

std::shared_ptr< ContentZones > WriteNowTextInternal::State::getContentZone | ( | long | pos | ) | const
| inline

return the content corresponding to a pos

## ◆ getDefaultParagraph()

Paragraph WriteNowTextInternal::State::getDefaultParagraph | ( | int | type | ) | const
| inline

return a paragraph corresponding to 0:body, 1: header/footer, 2: footnote

## ◆ getFontId()

int WriteNowTextInternal::State::getFontId | ( | int | localId | ) | const
| inline

return a mac font id corresponding to a local id

## Member Data Documentation

## ◆ m_actualPage

int WriteNowTextInternal::State::m_actualPage

Referenced by State().

## ◆ m_contentMap

std::map<long, std::shared_ptr<ContentZones> > WriteNowTextInternal::State::m_contentMap

the list of contentZones

Referenced by getContentZone(), and State().

## ◆ m_footer

std::shared_ptr<ContentZones> WriteNowTextInternal::State::m_footer

Referenced by State().

## ◆ m_header

std::shared_ptr<ContentZones> WriteNowTextInternal::State::m_header

the header and the footer

Referenced by State().

## ◆ m_localFIdMap

std::map<int, int> WriteNowTextInternal::State::m_localFIdMap

a map local fontId->fontId

Referenced by getFontId(), and State().

## ◆ m_mainZones

Zone WriteNowTextInternal::State::m_mainZones[3]

the three main zone ( text, footnote, header/footer)

## ◆ m_numColumns

int WriteNowTextInternal::State::m_numColumns

the number of column

Referenced by State().

## ◆ m_numPages

int WriteNowTextInternal::State::m_numPages

Referenced by State().

## ◆ m_paragraph

Paragraph WriteNowTextInternal::State::m_paragraph

the paragraph properties

Referenced by State().

## ◆ m_styleList

std::vector<Style> WriteNowTextInternal::State::m_styleList

the list of styles (body, footer, footnote, header, table )

Referenced by getDefaultParagraph(), and State().

## ◆ m_styleMap

std::map<int, int> WriteNowTextInternal::State::m_styleMap

the style indirection table

Referenced by State().

## ◆ m_version

int WriteNowTextInternal::State::m_version
| mutable

the file version

Referenced by getDefaultParagraph(), and State().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx